import { enums } from "../Classes/enums";
import { itemData } from "../Classes/itemData";
import {game} from "../game";

let consumableNames = ["soda", "bread"]
let currencyNames = ["stick", "rock", "leaf", "coin"]
let equipmentNames = ["umbrella", "sock", "bag"]
let miscNames = ["book", "envelope"]

export function generateItem(itemType : number){
    let item = new itemData()
    item.id = ++game.itemCount;
    item.itemType = itemType
    item.rarity = Math.floor(Math.random()*100)
    switch(itemType){
        case enums.itemType.undefined:{
            item.name = miscNames[Math.floor(Math.random()*miscNames.length)];

            break
        }
        case enums.itemType.consumable:{
            item.name = consumableNames[Math.floor(Math.random()*consumableNames.length)];

            break
        }
        case enums.itemType.currency:{
            item.name = currencyNames[Math.floor(Math.random()*currencyNames.length)];

            break
        }
        case enums.itemType.equipment:{
            item.name = equipmentNames[Math.floor(Math.random()*equipmentNames.length)];

            break
        }
    }
    return item
}